Subject: Re: [PATCH] t/t9902-completion.sh: backslashes in echo

From: Marcel Telka <[email-masked]>
Date: Fri, 24 May 2024 00:45:42 +0200

On Fri, May 24, 2024 at 12:39:06AM +0200, Marcel Telka wrote:
> On Thu, May 23, 2024 at 11:47:13PM +0200, Marcel Telka wrote:
> > Interesting.  I came to this issue because the test failed here due to
> > the echo.  So apparently the re-run under bash didn't happen here for
> > some reason or bash's echo behaved differently?  I need to dig into it
> > again to find what's going on.
> 
> Okay, I found the cause.  Bash on OpenIndiana is compiled with
> --enable-xpg-echo-default so escape sequencies are expanded by default.
> 
> > OTOH, it seems that the fix is maybe not needed because it is solving a
> > non-problem.
> 
> There is a problem, but definitely the justification in the commit
> message is not accurate because we do not care about POSIX here at all.
> Also maybe it would be better/simpler to use `echo -E` instead of
> `printf`, but I'm not sure here.

Reading again the commit message I proposed[1] I think it is okay.

[1] https://lore.kernel.org/git/Zkdk7R9GIfsyQjkc@telcontar/

-- 
+-------------------------------------------+
| Marcel Telka   e-mail:   [email-masked]  |
|                homepage: http://telka.sk/ |
+-------------------------------------------+